Lucene search
+L

155 matches found

CNNVD
CNNVD
•added 2026/04/29 12:00 a.m.•21 views

pgJDBC 安全漏洞

pgJDBC is an open-source PostgreSQL driver developed by pgJDBC. Versions of pgJDBC from 42.2.0 to 42.7.11 contained security vulnerabilities. These vulnerabilities stemmed from a client denial-of-service vulnerability during SCRAM-SHA-256 authentication. A malicious server could instruct the driv...

7.5CVSS7.2AI score0.04117EPSS
SaveExploits0References1
Positive Technologies
Positive Technologies
•added 2026/04/29 12:00 a.m.•21 views

PT-2026-35952

Name of the Vulnerable Software and Affected Versions pgjdbc versions 42.2.0 through 42.7.10 Description A client-side denial of service occurs during SCRAM-SHA-256 Salted Challenge Response Authentication Mechanism Secure Hash Algorithm 256 authentication. A malicious server can instruct the...

7.8CVSS7.1AI score0.04117EPSS
SaveExploits0References319
Snyk
Snyk
•added 2026/04/23 8:39 a.m.•8 views

Missing Critical Step in Authentication

Overview org.apache.httpcomponents.client5:httpclient5 is a HttpClient component of the Apache HttpComponents project. Affected versions of this package are vulnerable to Missing Critical Step in Authentication in the AuthenticationHandler's handleResponse method. The client may accept...

7.3CVSS5.4AI score0.00702EPSS
SaveExploits0References2
OSV
OSV
•added 2026/04/22 9:31 a.m.•19 views

GHSA-V468-QCJX-R72W Apache HttpClient accepts SCRAM-SHA-256 authentication without proper mutual authentication verification

Missing critical step in authentication in Apache HttpClient 5.6 allows an attacker to cause the client to accept SCRAM-SHA-256 authentication without proper mutual authentication verification. Users are recommended to upgrade to version 5.6.1, which fixes this issue...

7.3CVSS5.8AI score0.00702EPSS
SaveExploits0References5
CVE
CVE
•added 2026/04/22 7:07 a.m.•79 views

CVE-2026-40542

A missing critical step in the authentication process of Apache HttpClient 5.6 allows an attacker to bypass proper mutual authentication verification during SCRAM-SHA-256 authentication. This vulnerability affects several products, including IBM App Connect Enterprise (v13.0.1.0 - 13.0.7.2), Mong...

7.3CVSS5.6AI score0.00702EPSS
SaveExploits0References16Affected Software1
RedHat Linux
RedHat Linux
•added 2026/02/05 2:43 p.m.•24 views

ongres-scram: Timing Attack Vulnerability in SCRAM Authentication

A timing attack vulnerability exists in the SCRAM Java implementation. The issue arises because Arrays.equals was used to compare secret values such as client proofs and server signatures. Since Arrays.equals performs a short-circuit comparison, the execution time varies depending on how many...

8.7CVSS5.9AI score0.00702EPSS
SaveExploits0References7
OpenVAS
OpenVAS
•added 2025/11/28 12:00 a.m.•1 views

SUSE: Security Advisory (SUSE-SU-2025:21016-1)

The remote host is missing an update for the SPDX-FileCopyrightText: 2025 Greenbone AG Some text descriptions might be excerpted from a referenced sources, and are Copyright C by the respective right holders. SPDX-License-Identifier: GPL-2.0-only ifdescription...

8.7CVSS6AI score0.00702EPSS
SaveExploits0References4
Tenable Nessus
Tenable Nessus
•added 2025/11/24 12:00 a.m.•13 views

openSUSE 16 Security Update : ongres-scram (openSUSE-SU-2025-20059-1)

The remote openSUSE 16 host has packages installed that are affected by a vulnerability as referenced in the openSUSE- SU-2025-20059-1 advisory. - CVE-2025-59432: Fixed timing attack vulnerability in SCRAM Authentication bsc1250399 Tenable has extracted the preceding description block directly fr...

8.7CVSS5.9AI score0.00702EPSS
SaveExploits0References3
OPENSUSE Linux
OPENSUSE Linux
•added 2025/11/21 12:00 a.m.•9 views

Security update for ongres-scram (important)

openSUSE security update: security update for ongres-scram ------------------------------------------------------------- Announcement ID: openSUSE-SU-2025-20059-1 Rating: important References: bsc1250399 Cross-References: CVE-2025-59432 CVSS scores: CVE-2025-59432 SUSE : 6.8...

8.2CVSS7AI score0.00702EPSS
SaveExploits0References1
OSV
OSV
•added 2025/11/19 10:33 a.m.•8 views

OPENSUSE-SU-2025:20059-1 Security update for ongres-scram

This update for ongres-scram fixes the following issues: - CVE-2025-59432: Fixed timing attack vulnerability in SCRAM Authentication bsc1250399...

8.7CVSS5.9AI score0.00702EPSS
SaveExploits0References2
OSV
OSV
•added 2025/11/19 10:17 a.m.•6 views

SUSE-SU-2025:21016-1 Security update for ongres-scram

This update for ongres-scram fixes the following issues: - CVE-2025-59432: Fixed timing attack vulnerability in SCRAM Authentication bsc1250399...

8.7CVSS5.9AI score0.00702EPSS
SaveExploits0References3
Tenable Nessus
Tenable Nessus
•added 2025/11/13 12:00 a.m.•9 views

SUSE SLES15: ongres-scram / ongres-scram-client / ongres-scram-javadoc / etc (SUSE-SU-2025:4054-1)

The remote SUSE Linux SLES15 / SLESSAP15 / openSUSE 15 host has packages installed that are affected by a vulnerability as referenced in the SUSE-SU-2025:4054-1 advisory. - CVE-2025-59432: Fixed timing attack vulnerability in SCRAM Authentication bsc1250399 Tenable has extracted the preceding...

8.7CVSS5.9AI score0.00702EPSS
SaveExploits0References4
OpenVAS
OpenVAS
•added 2025/11/12 12:00 a.m.•4 views

openSUSE Security Advisory (SUSE-SU-2025:4054-1)

The remote host is missing an update for the SPDX-FileCopyrightText: 2025 Greenbone AG Some text descriptions might be excerpted from a referenced sources, and are Copyright C by the respective right holders. SPDX-License-Identifier: GPL-2.0-only ifdescription...

8.7CVSS6AI score0.00702EPSS
SaveExploits0References4
SUSE Linux
SUSE Linux
•added 2025/11/11 2:04 p.m.•8 views

Security update for ongres-scram

This update for ongres-scram fixes the following issues: CVE-2025-59432: Fixed timing attack vulnerability in SCRAM Authentication bsc1250399 Patch Instructions: To install this SUSE update use the SUSE recommended installation methods like YaST onlineupdate or "zypper patch". Alternatively you c...

8.2CVSS6.6AI score0.00702EPSS
SaveExploits0References4
OSV
OSV
•added 2025/11/11 2:04 p.m.•3 views

SUSE-SU-2025:4054-1 Security update for ongres-scram

This update for ongres-scram fixes the following issues: - CVE-2025-59432: Fixed timing attack vulnerability in SCRAM Authentication bsc1250399...

8.7CVSS5.9AI score0.00702EPSS
SaveExploits0References3
OSV
OSV
•added 2025/10/11 11:09 a.m.•15 views

OESA-2025-2395 ongres-scram security update

Scram is part of the family of Simple Authentication and Security Layer authentication mechanisms.It is described as part of RFC 5802 and RFC7677. This pachage is a Java implementation. Security Fixes: SCRAM Salted Challenge Response Authentication Mechanism is part of the family of Simple...

6.8CVSS7AI score0.00702EPSS
SaveExploits0References2
EUVD
EUVD
•added 2025/10/03 8:07 p.m.•20 views

EUVD-2025-29670

Malicious code in bioql PyPI...

8.7CVSS6.3AI score0.00702EPSS
SaveExploits0References5
Cvelist
Cvelist
•added 2025/09/22 7:22 p.m.•25 views

CVE-2025-59432 Timing Attack Vulnerability in SCRAM Authentication

SCRAM Salted Challenge Response Authentication Mechanism is part of the family of Simple Authentication and Security Layer SASL, RFC 4422 authentication mechanisms. Prior to version 3.2, a timing attack vulnerability exists in the SCRAM Java implementation. The issue arises because Arrays.equals...

8.7CVSS0.00702EPSS
SaveExploits0References3
CVE
CVE
•added 2025/09/22 7:22 p.m.•85 views

CVE-2025-59432

SCRAM timing attack (CVE-2025-59432) affects the SCRAM Java implementation prior to v3.2 due to using Arrays.equals to compare secret values, causing variable execution time. It can enable a timing side‑channel to infer authentication material. The issue is mitigated by using constant-time compar...

8.7CVSS6.6AI score0.00702EPSS
SaveExploits0References3
Vulnrichment
Vulnrichment
•added 2025/09/22 7:22 p.m.•12 views

CVE-2025-59432 Timing Attack Vulnerability in SCRAM Authentication

SCRAM Salted Challenge Response Authentication Mechanism is part of the family of Simple Authentication and Security Layer SASL, RFC 4422 authentication mechanisms. Prior to version 3.2, a timing attack vulnerability exists in the SCRAM Java implementation. The issue arises because Arrays.equals...

8.7CVSS6.6AI score0.00702EPSS
SaveExploits0References3
Rows per page
Query Builder